import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'orderPayType'
})
export class OrderPayTypePipe implements PipeTransform {

  transform(value: number): string {
    switch (value) {
      case 1:
        return '支付宝';
      case 2:
        return '微信';
      case 3:
        return '积分抵扣';
      case 4:
        return '贵州汇联通工会卡';
      case 5:
        return '银联';
      case 6:
        return '银联分期';
      case 7:
        return '嗨森逛油卡';
        default:
        return '积分抵扣';
    }
  }

}
